> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.formantai.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.formantai.com/_mcp/server.

# Get batch metrics

GET https://api.voice.formantai.com/v1/batch-calls/{batch_id}/metrics

Reference: https://docs.formantai.com/api-reference/formant-ai-voice-api/batch-calls/get-batch-call-metrics

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: formantai-openapi
  version: 1.0.0
paths:
  /v1/batch-calls/{batch_id}/metrics:
    get:
      operationId: get-batch-call-metrics
      summary: Get batch metrics
      tags:
        - subpackage_batchCalls
      parameters:
        - name: batch_id
          in: path
          required: true
          schema:
            type: integer
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Batch call metrics
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Batch
                  Calls_getBatchCallMetrics_Response_200
        '401':
          description: Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
servers:
  - url: https://api.voice.formantai.com
    description: Global production
  - url: https://api.in.voice.formantai.com
    description: India production
components:
  schemas:
    BatchCallMetrics:
      type: object
      properties:
        avg_duration_seconds:
          type: number
          format: double
        busy_count:
          type: integer
        completed_count:
          type: integer
        failed_count:
          type: integer
        in_progress_count:
          type: integer
        no_answer_count:
          type: integer
        pending_retry_count:
          type: integer
        socket_failure_count:
          type: integer
        success_count:
          type: integer
        success_rate:
          type: number
          format: double
        total_processed:
          type: integer
        unreachable_count:
          type: integer
      title: BatchCallMetrics
    Batch Calls_getBatchCallMetrics_Response_200:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/BatchCallMetrics'
      title: Batch Calls_getBatchCallMetrics_Response_200
    ErrorResponseError:
      type: object
      properties:
        message:
          type: string
        type:
          type: string
      title: ErrorResponseError
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorResponseError'
      title: ErrorResponse
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "data": {
    "avg_duration_seconds": 45.7,
    "busy_count": 12,
    "completed_count": 150,
    "failed_count": 8,
    "in_progress_count": 5,
    "no_answer_count": 20,
    "pending_retry_count": 3,
    "socket_failure_count": 2,
    "success_count": 140,
    "success_rate": 0.87,
    "total_processed": 180,
    "unreachable_count": 10
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.voice.formantai.com/v1/batch-calls/1/metrics"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.voice.formantai.com/v1/batch-calls/1/metrics';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voice.formantai.com/v1/batch-calls/1/metrics"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.voice.formantai.com/v1/batch-calls/1/metrics")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.voice.formantai.com/v1/batch-calls/1/metrics")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.voice.formantai.com/v1/batch-calls/1/metrics', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.voice.formantai.com/v1/batch-calls/1/metrics");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voice.formantai.com/v1/batch-calls/1/metrics")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```